summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAngelos Kouratzinos <pepitsizous@zoho.com>2019-07-13 02:06:45 +0300
committerJoonas Niilola <juippis@gentoo.org>2019-09-08 10:55:06 +0300
commitf80edb0cf3c0fde8b5e467e6cab291fdd183a3da (patch)
tree03b1056d1a101cf26f1935d862a1da8c65556878 /app-misc/dfshow/dfshow-0.8.0_beta.ebuild
parentnet-misc/youtube-dl: Old (diff)
downloadgentoo-f80edb0cf3c0fde8b5e467e6cab291fdd183a3da.tar.gz
gentoo-f80edb0cf3c0fde8b5e467e6cab291fdd183a3da.tar.bz2
gentoo-f80edb0cf3c0fde8b5e467e6cab291fdd183a3da.zip
app-misc/dfshow: add ebuild for dfshow
a modern reimplementation of applications from DF-EDIT Bug: https://bugs.gentoo.org/671874 Signed-off-by: Angelos Kouratzinos <pepitsizous@zoho.com> Package-Manager: Portage-2.3.66, Repoman-2.3.11 Closes: https://github.com/gentoo/gentoo/pull/12437 Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'app-misc/dfshow/dfshow-0.8.0_beta.ebuild')
-rw-r--r--app-misc/dfshow/dfshow-0.8.0_beta.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/app-misc/dfshow/dfshow-0.8.0_beta.ebuild b/app-misc/dfshow/dfshow-0.8.0_beta.ebuild
new file mode 100644
index 00000000000..c452101f7fc
--- /dev/null
+++ b/app-misc/dfshow/dfshow-0.8.0_beta.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+MY_PV="${PV//_beta/-beta}"
+
+DESCRIPTION="DF-SHOW is a Unix-like rewrite of some of the applications from DF-EDIT"
+HOMEPAGE="https://github.com/roberthawdon/dfshow"
+SRC_URI="https://github.com/roberthawdon/dfshow/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-libs/libconfig
+sys-libs/ncurses:0=
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ default
+ sed -i 's/LDADD = -lncursesw -lm -lconfig/LDADD = -lncursesw -lm -lconfig -ltinfow/' Makefile.am || die "sed in Makefile.am failed"
+ eautoreconf
+ eautomake --add-missing
+}